{
   "format_version":"1.20.80",
   "minecraft:block":{
      "description":{
         "identifier":"sgs_farm:display_sandwich_ham",
         "menu_category":{
            "category": "none",
			"group": "none",
			"is_hidden_in_commands": false
         },
         "traits":{
            "minecraft:placement_direction":{
               "enabled_states":[
                  "minecraft:cardinal_direction"
               ]
            }
         }
      },
      "components":{
         "minecraft:map_color": "#d1ae71",
         "minecraft:display_name":"Ham Salad Sandwich\n§dCreative§r\n§o§2Crops & Farms§r",
		 "minecraft:loot": "loot_tables/sgs/farm/blocks/food/display_sandwich_ham.json",
         "minecraft:geometry":{
            "identifier":"geometry.sgs_farm_dec_food_sandwich"
         },
		 "minecraft:destructible_by_mining": {
			"seconds_to_destroy": 0.10
		 },
		 "tag:sgs_farm_break_on_silktouch":{},
		 "minecraft:placement_filter": {
			"conditions": [
				{
					"allowed_faces": [
						"up"
					]
				}
			]
		 },		 
         "minecraft:light_dampening":0,
         "minecraft:material_instances":{
            "*":{
               "face_dimming":true,
               "ambient_occlusion":false,
               "render_method":"alpha_test",
               "texture":"sgs_farm_food_sandwich_ham"
            }
         },
         "minecraft:selection_box":{
            "origin": [
				-7,
				0,
				-7
			],
			"size": [
				14,
				8,
				14
			]
         },
		 "minecraft:collision_box":{
			"origin": [
				-7,
				0,
				-7
			],
			"size": [
				14,
				8,
				14
			]
		 }
      },
      "permutations":[
         {
            "condition":"q.block_state('minecraft:cardinal_direction') == 'north' ",
            "components":{
               "minecraft:transformation":{
                  "rotation":[
                     0,
                     180,
                     0
                  ]
               }
            }
         },
         {
            "condition":"q.block_state('minecraft:cardinal_direction') == 'south' ",
            "components":{
               "minecraft:transformation":{
                  "rotation":[
                     0,
                     0,
                     0
                  ]
               }
            }
         },
         {
            "condition":"q.block_state('minecraft:cardinal_direction') == 'east' ",
            "components":{
               "minecraft:transformation":{
                  "rotation":[
                     0,
                     90,
                     0
                  ]
               }
            }
         },
         {
            "condition":"q.block_state('minecraft:cardinal_direction') == 'west' ",
            "components":{
               "minecraft:transformation":{
                  "rotation":[
                     0,
                     270,
                     0
                  ]
               }
            }
         }
      ]
   }
}